Skip to content
Start here

Create or update an origin cloud region mapping

cache.origin_cloud_regions.edit(OriginCloudRegionEditParams**kwargs) -> OriginCloudRegionEditResponse
PATCH/zones/{zone_id}/cache/origin_cloud_regions

Adds or updates a single IP-to-cloud-region mapping for the zone. Unlike POST, this operation is idempotent — if a mapping for the IP already exists it is overwritten. Returns the complete updated list of all mappings for the zone. Returns 403 (code 1164) when the zone has reached the limit of 3,500 IP mappings.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
ip: str

Origin IP address (IPv4 or IPv6). Normalized to canonical form before storage (RFC 5952 for IPv6).

region: str

Cloud vendor region identifier. Must be a valid region for the specified vendor as returned by the supported_regions endpoint.

vendor: Literal["aws", "azure", "gcp", "oci"]

Cloud vendor hosting the origin. Must be one of the supported vendors.

One of the following:
"aws"
"azure"
"gcp"
"oci"
ReturnsExpand Collapse
class OriginCloudRegionEditResponse:

Response result for a list of origin cloud region mappings.

id: Literal["origin_public_cloud_region"]
editable: bool

Whether the setting can be modified by the current user.

value: List[OriginCloudRegion]
origin_ip: str

The origin IP address (IPv4 or IPv6, canonicalized).

region: str

Cloud vendor region identifier.

vendor: Literal["aws", "azure", "gcp", "oci"]

Cloud vendor hosting the origin.

One of the following:
"aws"
"azure"
"gcp"
"oci"
modified_on: Optional[datetime]

Time this mapping was last modified.

formatdate-time
modified_on: Optional[datetime]

Time the mapping set was last modified. Null when no mappings exist.

formatdate-time

Create or update an origin cloud region mapping

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.cache.origin_cloud_regions.edit(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
    ip="2001:db8::1",
    region="us-central1",
    vendor="gcp",
)
print(response.id)
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": [
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1157,
      "message": "The vendor provided doesn't exist or the region provided does not exist for the specified cloud vendor"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 1164,
      "message": "Maximum number of IP mappings configured for zone."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
Returns Examples
{
  "errors": [],
  "messages": [],
  "result": {
    "editable": true,
    "id": "origin_public_cloud_region",
    "modified_on": "2026-03-01T12:00:00Z",
    "value": [
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "192.0.2.1",
        "region": "us-east-1",
        "vendor": "aws"
      },
      {
        "modified_on": "2026-03-01T12:00:00Z",
        "origin-ip": "2001:db8::1",
        "region": "us-central1",
        "vendor": "gcp"
      }
    ]
  },
  "success": true
}
{
  "errors": [
    {
      "code": 1157,
      "message": "The vendor provided doesn't exist or the region provided does not exist for the specified cloud vendor"
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}
{
  "errors": [
    {
      "code": 1164,
      "message": "Maximum number of IP mappings configured for zone."
    }
  ],
  "messages": [],
  "result": null,
  "success": false
}